- comment-added-contains-event:
comment-contains-value: 'remerge'
projects:
- - project-compare-type: 'ANT'
+ - project-compare-type: 'Plain'
project-pattern: '{name}'
branches:
- - branch-compare-type: 'ANT'
+ - branch-compare-type: 'Path'
branch-pattern: '**/{branch}'
silent-start: 'true'
trigger-on:
- ref-updated-event
projects:
- - project-compare-type: 'ANT'
+ - project-compare-type: 'Plain'
project-pattern: '{name}'
branches:
- - branch-compare-type: 'ANT'
+ - branch-compare-type: 'Path'
branch-pattern: 'refs/tags/**'
# Publishers
name: email-notification
publishers:
- email-ext:
- recipients: 'nobody@automotivelinux.org'
+ recipients: 'jsmoeller@linuxfoundation.org'
reply-to:
content-type: default
# yamllint disable rule:line-length
--- /dev/null
+#!/bin/bash
+
+#set -x
+set -e
+
+#ls -alh
+
+export RSYNCSRC="$(pwd)/mirror/"
+export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/mirror/"
+
+echo " rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+exit 0
\ No newline at end of file
--- /dev/null
+- project:
+ name: release-jjb-blowfish-snapshot
+ jobs:
+ - release-jjb-blowfish-snapshot
+
+- job-template:
+ name: 'release-jjb-blowfish-snapshot'
+ project-type: matrix
+ concurrent: false
+ node: master
+
+ axes:
+ - axis:
+ type: label-expression
+ name: MACHINE
+ values:
+ - qemux86
+ - porter-nogfx
+ - intel-corei7-64
+ - axis:
+ type: slave
+ name: label
+ values:
+ - agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-release-jjb-blowfish-snapshot-build.sh
+ - shell:
+ !include-raw-escape: include-release-jjb-blowfish-snapshot-rsync.sh
+